@charset "UTF-8";
/* ======================================================================
 p-saiyou-jobdescription
====================================================================== */
.l-content {
  padding: 0;
  max-width: 100%;
}

.p-saiyou-jobdescription-intro {
  position: relative;
  z-index: 1;
  padding: 165px 0 10px;
  height: 697px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro {
    margin-bottom: -10px;
    padding: 90px 15px 220px;
    height: auto;
  }
}
.p-saiyou-jobdescription-intro__title {
  position: relative;
  z-index: 1;
  margin: -45px auto 0;
  text-align: center;
  font-weight: 600;
  font-size: 48px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__title {
    margin: 7px auto 0;
    font-size: 24px;
    -webkit-font-feature-settings: "palt";
    font-feature-settings: "palt";
  }
}
.p-saiyou-jobdescription-intro__title-txt {
  display: inline;
  padding: 9px 10px;
  background: #0065af;
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
  color: #fff;
  line-height: 1.75;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__title-txt {
    line-height: 2;
  }
}
.p-saiyou-jobdescription-intro__text-box {
  position: relative;
  z-index: 1;
  margin-top: 25px;
  text-align: center;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__text-box {
    margin-top: 10px;
    text-align: left;
  }
}
.p-saiyou-jobdescription-intro__text {
  font-size: 16px;
  line-height: 1.75;
}
.p-saiyou-jobdescription-intro__text:not(:first-child) {
  margin-top: 2em;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__text:not(:first-child) {
    margin-top: 1.5em;
  }
}
.p-saiyou-jobdescription-intro__overlay-obj {
  position: absolute;
  z-index: 2;
  pointer-events: none;
}
.p-saiyou-jobdescription-intro__overlay-obj img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
}
.p-saiyou-jobdescription-intro__overlay-obj--01 {
  top: 110px;
  left: -20px;
  aspect-ratio: 550/315;
  width: 550px;
  mix-blend-mode: overlay;
  -webkit-filter: blur(50px);
  filter: blur(50px);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__overlay-obj--01 {
    top: 137px;
    left: -123px;
    width: 300px;
  }
}
.p-saiyou-jobdescription-intro__overlay-obj--02 {
  top: 160px;
  right: 213px;
  aspect-ratio: 440/108;
  width: 440px;
  mix-blend-mode: soft-light;
  -webkit-filter: blur(50px);
  filter: blur(50px);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__overlay-obj--02 {
    top: 57px;
    right: -60px;
    aspect-ratio: 272/108;
    width: 272px;
  }
}
.p-saiyou-jobdescription-intro__dot-obj {
  position: absolute;
  top: 7.3206442167vw;
  left: 50%;
  z-index: 0;
  aspect-ratio: 1167/527;
  width: 85.4319180088vw;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__dot-obj {
    top: 55px;
    right: 12px;
    left: auto;
    aspect-ratio: 313/692;
    width: 313px;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}
.p-saiyou-jobdescription-intro__img-obj-container {
  position: absolute;
  top: 0;
  left: 50%;
  z-index: 4;
  width: 1366px;
  height: 100%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj-container {
    width: 100%;
  }
}
.p-saiyou-jobdescription-intro__overlay-obj-container {
  position: absolute;
  top: 0;
  left: 50%;
  z-index: 3;
  width: 1366px;
  height: 100%;
  mix-blend-mode: overlay;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__overlay-obj-container {
    width: 100%;
  }
}
.p-saiyou-jobdescription-intro__img-obj {
  position: absolute;
  z-index: -1;
  pointer-events: none;
}
.p-saiyou-jobdescription-intro__img-obj--01 {
  top: 0;
  left: 0;
  width: 328px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj--01 {
    top: 36px;
    left: 0;
    width: 116px;
  }
}
.p-saiyou-jobdescription-intro__img-obj--02 {
  top: 264px;
  left: 189px;
  width: 88px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj--02 {
    top: auto;
    right: 120px;
    bottom: 140px;
    left: auto;
    width: 62px;
  }
}
.p-saiyou-jobdescription-intro__img-obj--03 {
  top: 393px;
  left: 64px;
  width: 213px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj--03 {
    top: auto;
    bottom: 60px;
    left: -11px;
    width: 134px;
  }
}
.p-saiyou-jobdescription-intro__img-obj--04 {
  top: 55px;
  right: 141px;
  width: 204px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj--04 {
    top: 31px;
    right: 31px;
    left: auto;
    width: 81px;
  }
}
.p-saiyou-jobdescription-intro__img-obj--05 {
  top: 248px;
  right: 0;
  width: 174px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj--05 {
    top: auto;
    right: 0;
    bottom: 100px;
    left: auto;
    width: 95px;
  }
}
.p-saiyou-jobdescription-intro__img-obj--06 {
  top: 372px;
  right: 195px;
  width: 93px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj--06 {
    top: auto;
    right: 173px;
    bottom: 89px;
    left: auto;
    width: 56px;
  }
}
.p-saiyou-jobdescription-intro__img-obj--07 {
  top: 499px;
  right: 40px;
  width: 282px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-intro__img-obj--07 {
    top: auto;
    right: 15px;
    bottom: 0;
    width: 131px;
  }
}

@-webkit-keyframes wave {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-1366px);
    transform: translateX(-1366px);
  }
}

@keyframes wave {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-1366px);
    transform: translateX(-1366px);
  }
}
@-webkit-keyframes waveSp {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-375px);
    transform: translateX(-375px);
  }
}
@keyframes waveSp {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-375px);
    transform: translateX(-375px);
  }
}
@-webkit-keyframes waveTxt {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-1891px);
    transform: translateX(-1891px);
  }
}
@keyframes waveTxt {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-1891px);
    transform: translateX(-1891px);
  }
}
@-webkit-keyframes waveTxtSp {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-646px);
    transform: translateX(-646px);
  }
}
@keyframes waveTxtSp {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-646px);
    transform: translateX(-646px);
  }
}
.p-saiyou-jobdescription-com-sec {
  position: relative;
  z-index: 0;
  padding: 210px 0 200px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec {
    padding: 80px 15px 100px;
  }
}
.p-saiyou-jobdescription-com-sec:before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 4098px;
  height: 100%;
  background-image: url(../img/p-saiyou-jobdescription/wave-obj-white.png);
  background-position: top;
  background-size: 1366px auto;
  background-repeat: repeat-x;
  content: "";
  -webkit-animation: wave 30s linear 0s infinite;
  animation: wave 30s linear 0s infinite;
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec:before {
    width: 1500px;
    background-image: url(../img/p-saiyou-jobdescription/sp/wave-obj-white.png);
    background-size: 375px auto;
    -webkit-animation: waveSp 20s linear 0s infinite;
    animation: waveSp 20s linear 0s infinite;
  }
}
.p-saiyou-jobdescription-com-sec:after {
  position: absolute;
  bottom: 0;
  left: 50%;
  z-index: -10;
  width: 100vw;
  height: 100px;
  background: #fff;
  content: "";
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
}
.p-saiyou-jobdescription-com-sec--grad {
  padding: 190px 0 206px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec--grad {
    padding: 80px 15px 100px;
  }
}
.p-saiyou-jobdescription-com-sec--grad:before {
  top: 0;
  background-image: url(../img/p-saiyou-jobdescription/wave-obj-grad.png);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec--grad:before {
    background-image: url(../img/p-saiyou-jobdescription/sp/wave-obj-grad.png);
  }
}
.p-saiyou-jobdescription-com-sec--grad:after {
  background: #c1e1fd;
}
.p-saiyou-jobdescription-com-sec__txt-obj {
  position: absolute;
  top: -65px;
  left: 0;
  z-index: -2;
  width: 5673px;
  height: 200px;
  background: url(../img/p-saiyou-jobdescription/intro-sec-txt-obj.svg) repeat-x top/1891px auto;
  -webkit-animation: waveTxt 75s linear infinite;
  animation: waveTxt 75s linear infinite;
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__txt-obj {
    top: -47px;
    width: 2584px;
    height: 100px;
    background-size: 646px auto;
    -webkit-animation: waveTxtSp 40s linear infinite;
    animation: waveTxtSp 40s linear infinite;
  }
}
.p-saiyou-jobdescription-com-sec + .p-saiyou-jobdescription-com-sec {
  margin-top: -90px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec + .p-saiyou-jobdescription-com-sec {
    margin-top: -30px;
  }
}
.p-saiyou-jobdescription-com-sec:last-of-type {
  padding-bottom: 175px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec:last-of-type {
    padding-bottom: 80px;
  }
}
.p-saiyou-jobdescription-com-sec__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  margin: 0 auto;
  max-width: 100%;
  width: 1366px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__wrapper {
    display: block;
    width: 100%;
  }
}
.p-saiyou-jobdescription-com-sec__wrapper--reverse {
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}
.p-saiyou-jobdescription-com-sec__inner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 60px;
  max-width: 100%;
  width: 1283px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__inner {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 20px;
    width: 100%;
  }
}
.p-saiyou-jobdescription-com-sec__inner--reverse .p-saiyou-jobdescription-com-sec__image {
  -webkit-box-ordinal-group: 0;
  -ms-flex-order: -1;
  order: -1;
}
.p-saiyou-jobdescription-com-sec__image {
  -webkit-box-flex: 0;
  -ms-flex: 0 1 53.2%;
  flex: 0 1 53.2%;
}
@media screen and (min-width: 768px) {
  .p-saiyou-jobdescription-com-sec__image img {
    max-height: 382px;
    width: 100%;
  }
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__image {
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -webkit-box-ordinal-group: 0;
    -ms-flex-order: -1;
    order: -1;
  }
}
.p-saiyou-jobdescription-com-sec__contents {
  -webkit-box-flex: 0;
  -ms-flex: 0 1 42.8%;
  flex: 0 1 42.8%;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__contents {
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
  }
}
.p-saiyou-jobdescription-com-sec__title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 10px;
  margin: 0 0 5px;
  color: #0065af;
  font-weight: 600;
  font-size: 20px;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__title {
    margin: 0 0 5px;
    font-size: 18px;
  }
}
.p-saiyou-jobdescription-com-sec__title:before {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  content: "";
}
.p-saiyou-jobdescription-com-sec__title--pipeline:before {
  width: 30px;
  height: 30px;
  background-image: url(../img/common/i-pipeline.svg);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__title--pipeline:before {
    width: 25px;
    height: 25px;
  }
}
.p-saiyou-jobdescription-com-sec__title--water:before {
  width: 29px;
  height: 31px;
  background-image: url(../img/common/i-water.svg);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__title--water:before {
    width: 25px;
    height: 27px;
  }
}
.p-saiyou-jobdescription-com-sec__title--treatment:before {
  width: 32px;
  height: 29px;
  background-image: url(../img/common/i-treatment.svg);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__title--treatment:before {
    width: 25px;
    height: 23px;
  }
}
.p-saiyou-jobdescription-com-sec__title--technical:before {
  width: 30px;
  height: 30px;
  background-image: url(../img/common/i-technical.svg);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__title--technical:before {
    width: 25px;
    height: 25px;
  }
}
.p-saiyou-jobdescription-com-sec__title--training:before {
  width: 31px;
  height: 30px;
  background-image: url(../img/common/i-training.svg);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__title--training:before {
    width: 25px;
    height: 24px;
  }
}
.p-saiyou-jobdescription-com-sec__title--international:before {
  width: 30px;
  height: 30px;
  background-image: url(../img/common/i-international.svg);
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__title--international:before {
    width: 25px;
    height: 25px;
  }
}
.p-saiyou-jobdescription-com-sec__subtitle {
  margin: 0 0 15px;
  font-weight: 600;
  font-size: 34px;
  line-height: 1.7058823529;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__subtitle {
    margin: 0 0 7px;
    font-size: 24px;
    line-height: 1.6666666667;
  }
}
.p-saiyou-jobdescription-com-sec__text {
  font-size: 16px;
  line-height: 1.6875;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec__text {
    line-height: 1.75;
  }
}
.p-saiyou-jobdescription-com-sec .c-button-4 {
  margin: 35px 0 0;
}
@media screen and (max-width: 767px) {
  .p-saiyou-jobdescription-com-sec .c-button-4 {
    margin: 35px auto 0;
  }
}

.image-text {
  margin: 60px auto 0;
  padding: 35px 40px;
  max-width: 1200px;
  width: 100%;
  border-radius: 10px;
  background: #ecf5fb;
}
@media screen and (max-width: 767px) {
  .image-text {
    margin: 40px auto 0;
    padding: 25px 10px;
    max-width: 100%;
  }
}
.image-text__section-title {
  color: #0065ae;
  font-weight: 600;
  font-size: 22px;
}
@media screen and (max-width: 767px) {
  .image-text__section-title {
    font-size: 16px;
  }
}
.image-text__grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 38px;
  margin: 25px auto 0;
}
@media screen and (max-width: 767px) {
  .image-text__grid {
    grid-template-columns: 100%;
    gap: 30px;
    margin: 15px auto 0;
  }
}
.image-text__item img {
  display: block;
  aspect-ratio: 540/358;
  width: 100%;
  height: auto;
  border-radius: 5px;
}
.image-text__title {
  margin: 15px 0 0;
  font-weight: 600;
  font-size: 22px;
}
@media screen and (max-width: 767px) {
  .image-text__title {
    margin: 10px 0 0;
    font-size: 18px;
  }
}
.image-text__text {
  margin: 8px 0 0;
  font-size: 16px;
  line-height: 1.6875;
}
@media screen and (max-width: 767px) {
  .image-text__text {
    margin: 3px 0 0;
  }
}
.image-text__note {
  position: relative;
  z-index: 0;
  margin: 3px 0 0;
  padding: 0 0 0 1em;
  font-size: 14px;
}
.image-text__note:before {
  position: absolute;
  top: 0;
  left: 0;
  content: "※";
}
.image-text__note a {
  text-decoration: underline;
  font-weight: 600;
  text-underline-offset: 3px;
}
.image-text__note a:link, .image-text__note a:active, .image-text__note a:visited {
  color: #0065af;
  cursor: pointer;
}
.image-text__note a:hover {
  color: #0065af;
}
@media (hover: hover) {
  .image-text__note a:hover {
    text-decoration: none;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
